MCP Tools Reference: datamigration

Tool: list_static_ips

When you migrate a database into Google Cloud using DMS, Google needs a way to securely connect to your source database to read the data. If you choose the Static-IP connectivity method to connect to your source database, you will need to allow incoming traffic from DMS's specific, trusted IPs. This tool lists the IP addresses (matching the provided resource name) that should be allowlisted by the customer.

  • The resource name parameter is in the form projects/{project name}/locations/{location}, for example: projects/my-project/locations/us-central1.

The following code sample shows how to use curl to call the list_static_ips MCP tool.

Curl Request
curl --location 'https://datamigration.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "list_static_ips",
    "arguments": {
      // Provide these details according to the MCP tool specification.
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'

Input Schema

Request message for 'ListStaticIps' request.

ListStaticIpsRequest

JSON representation
{
  "name": string
}
Fields
name

string

Required. The resource name for the location for which static IPs should be returned. Must be in the format projects/*/locations/*. For example: 'projects/my-project/locations/us-central1'

Output Schema

Response message for a 'FetchStaticIps' request.

FetchStaticIpsResponse

JSON representation
{
  "staticIps": [
    string
  ],
  "nextPageToken": string
}
Fields
staticIps[]

string

List of static IPs.

nextPageToken

string

A token that can be sent as page_token to retrieve the next page. If this field is omitted, there are no subsequent pages.

Tool Annotations

Tool annotations are sent to MCP clients to describe the basic risk of a given tool. Most clients treat these hints as untrusted, but they can be used to decide when a confirmation prompt might be sent to a user.

Along with the title string, the following boolean hints are defined as follows:

  • readOnlyHint: If true, the tool doesn't modify its environment. Default: false.
  • destructiveHint: If true, then the tool can perform destructive actions. If false, then the tool can only perform additive actions. Default: true.
  • idempotentHint: If true, then calling the tool repeatedly with the same arguments will have no additional effect on its environment. Default: false.
  • openWorldHint: If true, then the tool can interact with an 'open world' of external entities. If false, then the tool can only interact with internal entities. For example, a web search tool would be open world, while a memory tool would not be open world.

Destructive Hint: ❌ | Idempotent Hint: ✅ | Read Only Hint: ✅ | Open World Hint: ❌